//! A class.
class My_Class {
public:
  //! \brief
  //! This method does not have a math formula in its detailed description.
  //! A math formula (e.g., \f$1 + 1 = 2\f$) in the brief description
  //! does not trigger the bug.
  /*!
    No math formula here.
  */
  void detailed_has_no_math();

  //! \brief
  //! A brief description for a data member
  //! spanning two lines, both of which are correctly printed.
  void no_bug_here();

  //! \brief
  //! This method has a math formula in its detailed description,
  //! which triggers the bug.
  /*!
    Any math formula in a detailed description,
    e.g., \f$E=mc^2\f$, triggers the bug.
  */
  void detailed_has_math();

  //! \brief
  //! A brief description for a function member spanning two lines,
  //! (HERE IS THE BUG) but only the second line is printed.
  void shows_bug();

};

